import { Router } from '@angular/router';
import { HttpEvent, HttpHandler, HttpInterceptor, HttpRequest } from '@angular/common/http';
import { Observable } from 'rxjs';
import { JwtInterceptor } from '@auth0/angular-jwt';
import { AuthService } from '../auth.service';
import { AuthFacade } from '../state/auth.facades';
import { AuthState } from '../state/auth.reducer';
export declare class RefreshTokenInterceptor implements HttpInterceptor {
    private authFacade;
    private authService;
    private jwtInterceptor;
    private router;
    authState$: Observable<AuthState>;
    constructor(authFacade: AuthFacade, authService: AuthService, jwtInterceptor: JwtInterceptor, router: Router);
    intercept(request: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>;
}
