import { Action } from '@ngrx/store';
import { Pagination, Filters } from '../pagination.model';
export declare enum PaginationActionTypes {
    PaginationLoaded = "[Pagination] Pagination Loaded",
    ResetPagination = "[Pagination] Reset Pagination"
}
export declare class PaginationLoaded implements Action {
    payload: Pagination;
    readonly type = PaginationActionTypes.PaginationLoaded;
    constructor(payload: Pagination);
}
export declare class ResetPagination implements Action {
    payload: Filters;
    readonly type = PaginationActionTypes.ResetPagination;
    constructor(payload: Filters);
}
export declare type PaginationActions = PaginationLoaded | ResetPagination;
