import { PaginationMetadata } from '../pagination/pagination.model';
export interface DefaultResponse {
    success: boolean;
    message: string;
}
export interface FetchDataResponse<T> {
    success: boolean;
    data: T[];
}
export interface FetchPageDataResponse<T> extends FetchDataResponse<T> {
    metadata: PaginationMetadata;
}
