import { Action } from '@ngrx/store';
import { Sistema } from '../sistemas.model';
export declare enum SistemasActionTypes {
    LoadSistemas = "[Sistemas] Load Sistemas Data",
    FetchSistemas = "[Sistemas] Fetch Sistemas Data",
    SistemasFetched = "[Sistemas] Sistemas Data Fetched"
}
export declare class LoadSistemas implements Action {
    readonly type = SistemasActionTypes.LoadSistemas;
}
export declare class FetchSistemas implements Action {
    readonly type = SistemasActionTypes.LoadSistemas;
}
export declare class SistemasFetched implements Action {
    payload: Sistema[];
    readonly type = SistemasActionTypes.SistemasFetched;
    constructor(payload: Sistema[]);
}
export declare type SistemasActions = LoadSistemas | FetchSistemas | SistemasFetched;
