import { EntityState } from '@ngrx/entity';
import { SistemasActions } from './sistemas.actions';
import { Sistema } from '../sistemas.model';
export interface SistemasState extends EntityState<Sistema> {
    loaded: boolean;
}
export declare function sistemasReducer(state: SistemasState, action: SistemasActions): SistemasState;
export declare const selectSistemasIds: (state: EntityState<Sistema>) => string[] | number[];
export declare const selectSistemasEntities: (state: EntityState<Sistema>) => import("@ngrx/entity/src/models").Dictionary<Sistema>;
export declare const selectAllSistemas: (state: EntityState<Sistema>) => Sistema[];
export declare const selectSistema: (id: number) => (state: SistemasState) => Sistema;
export declare const isLoaded: (state: SistemasState) => boolean;
export declare const selectSistemasState: import("@ngrx/store/src/selector").MemoizedSelector<object, SistemasState>;
