import { OnInit, EventEmitter } from '@angular/core';
import { Subsidiary } from '../subsidiaries.model';
import { SubsidiariesFacade } from '../state/subsidiaries.facades';
export declare class SelectSubsidiariesComponent implements OnInit {
    private subsidiariesFacade;
    subsidiaries: Subsidiary[];
    insert: EventEmitter<{}>;
    remove: EventEmitter<{}>;
    subsidiaryList: Subsidiary[];
    searchFilterString: string;
    selectedSubsidiaries: string[];
    selectedUsuarioSubsidiaries: string[];
    constructor(subsidiariesFacade: SubsidiariesFacade);
    ngOnInit(): void;
    insertSubsidiaries(segmentIds: string[]): void;
    removeSubsidiaries(segmentIds: string[]): void;
    maskedValue(subsidiary: Subsidiary): string;
}
