import { Store } from '@ngrx/store';
import { Observable } from 'rxjs';
import { SubsidiariesState } from './subsidiaries.reducer';
import { Subsidiary } from '../subsidiaries.model';
import { Usuario } from '../../usuarios/usuario.model';
export declare class SubsidiariesFacade {
    private store;
    subsidiaries$: Observable<Subsidiary[]>;
    constructor(store: Store<SubsidiariesState>);
    selectSubsidiaries(): Observable<Subsidiary[]>;
    fetchAll(): void;
    insertUserSubsidiaries(usuario: Usuario, subsidiariesIds: string[]): void;
    removeUserSubsidiaries(usuario: Usuario, subsidiariesIds: string[]): void;
}
