import { Actions } from '@ngrx/effects';
import { DataPersistence } from '@nrwl/nx';
import { Observable } from 'rxjs';
import { UsersADService } from '../users-ad.service';
import { UsersADState } from './users-ad.reducer';
import { UsersADActions } from './users-ad.actions';
interface AppState {
    usersAd: UsersADState;
}
export declare class UsersAdEffects {
    private actions$;
    private dataPersistence;
    private service;
    fetchUsers$: Observable<any>;
    constructor(actions$: Actions, dataPersistence: DataPersistence<AppState>, service: UsersADService);
    ofType(...types: string[]): Observable<UsersADActions>;
}
export {};
