import { EntityState } from '@ngrx/entity';
import { UsersADActions } from './users-ad.actions';
import { ADUser } from '../users-ad.model';
export interface UsersADState extends EntityState<ADUser> {
}
export declare function usersADReducer(state: UsersADState, action: UsersADActions): UsersADState;
export declare const selectUsersIds: (state: EntityState<ADUser>) => string[] | number[];
export declare const selectUsersEntities: (state: EntityState<ADUser>) => import("@ngrx/entity/src/models").Dictionary<ADUser>;
export declare const selectAllUsers: (state: EntityState<ADUser>) => ADUser[];
export declare const selectUser: (samAccountName: string) => (state: UsersADState) => ADUser;
export declare const selectUsersADState: import("@ngrx/store/src/selector").MemoizedSelector<object, UsersADState>;
