import { DefaultResponse } from '../response/response.model';
import { Usuario } from '../usuarios/usuario.model';
export interface ADUser {
    samAccountName: string;
    name: string;
    emailAddress: string;
    phone: string;
    description: string;
}
export interface FetchUserADDataResponse extends DefaultResponse {
    user: ADUser;
}
export interface FetchValidUserADDataResponse extends DefaultResponse {
    data?: {
        userAD: ADUser;
        users: Usuario[];
    };
}
