import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { ADUser, FetchValidUserADDataResponse } from './users-ad.model';
import { Host } from '../api/host';
export declare class UsersADService {
    private http;
    private apiHost;
    constructor(http: HttpClient, apiHost: Host);
    getUserAD(userNameAD: string): Observable<ADUser>;
    getValidUserAD(userNameAD: string): Observable<FetchValidUserADDataResponse>;
}
