import { Actions } from '@ngrx/effects';
import { DataPersistence } from '@nrwl/nx';
import { Observable } from 'rxjs';
import { UsuariosActions } from './usuarios.actions';
import { UsuariosService } from '../usuarios.service';
import { UsuariosState } from './usuarios.reducer';
interface AppState {
    usuarios: UsuariosState;
}
export declare class UsuariosEffects {
    private actions$;
    private dataPersistence;
    private service;
    loadPage$: Observable<any>;
    createUsuario$: Observable<any>;
    usuarioCreated$: Observable<any>;
    selectUsuario$: Observable<any>;
    fetchUsuario$: Observable<any>;
    toggleAcessUsuario$: Observable<any>;
    updateUsuarioHostFirewall$: Observable<any>;
    constructor(actions$: Actions, dataPersistence: DataPersistence<AppState>, service: UsuariosService);
    ofType(...types: string[]): Observable<UsuariosActions>;
}
export {};
