export declare enum AlertTypes {
    SuccessAlert = "[Alert] Success",
    ErrorAlert = "[Alert] Error",
    InfoAlert = "[Alert] Info",
    WarningAlert = "[Alert] Warning"
}
export interface Alert {
    type: AlertTypes;
    message: string;
}
export declare class SuccessAlert {
    message: string;
    readonly type = AlertTypes.SuccessAlert;
    constructor(message: string);
}
export declare class ErrorAlert {
    message: string;
    readonly type = AlertTypes.ErrorAlert;
    constructor(message: string);
}
export declare class InfoAlert {
    message: string;
    readonly type = AlertTypes.InfoAlert;
    constructor(message: string);
}
export declare class WarningAlert {
    message: string;
    readonly type = AlertTypes.WarningAlert;
    constructor(message: string);
}
