import { OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { Observable } from 'rxjs';
import { ObserverComponent } from '../../components/observer.component';
import { Alert } from '../../alert/alert.model';
import { AuthFacade } from '../state/auth.facades';
import { AuthEffects } from '../state/auth.effects';
import { Credential } from '../auth.model';
export declare class AuthFormComponent extends ObserverComponent implements OnInit {
    private router;
    private facade;
    private effects;
    loggedIn$: Observable<boolean>;
    alert: Alert | null;
    UserName: any;
    Password: any;
    submiting: boolean;
    constructor(router: Router, facade: AuthFacade, effects: AuthEffects);
    ngOnInit(): void;
    onSubmit(credential: Credential): void;
}
