import { OnInit } from '@angular/core';
import { ObserverComponent } from '../../components/observer.component';
import { AuthFacade } from '../state/auth.facades';
import { AuthEffects } from '../state/auth.effects';
import { ChangePasswordRequest } from '../auth.model';
export declare class ChangePasswordComponent extends ObserverComponent implements OnInit {
    private facade;
    private effects;
    oldPassword: string;
    newPassword: string;
    confirmPassword: string;
    submiting: boolean;
    constructor(facade: AuthFacade, effects: AuthEffects);
    ngOnInit(): void;
    onSubmit(data: ChangePasswordRequest): void;
}
