import { OnInit } from '@angular/core';
import { ObserverComponent } from '../../components/observer.component';
import { AuthFacade } from '../state/auth.facades';
import { AuthEffects } from '../state/auth.effects';
import { Router } from '@angular/router';
export declare class ForgotPasswordComponent extends ObserverComponent implements OnInit {
    private router;
    private facade;
    private effects;
    userName: string;
    submiting: boolean;
    constructor(router: Router, facade: AuthFacade, effects: AuthEffects);
    ngOnInit(): void;
    onSubmit(userName: string): void;
}
