import { OnInit } from '@angular/core';
import { ObserverComponent } from '../../components/observer.component';
import { AuthFacade } from '../state/auth.facades';
import { AuthEffects } from '../state/auth.effects';
import { ResetPasswordRequest } from '../auth.model';
import { Router, ActivatedRoute } from '@angular/router';
export declare class ResetPasswordComponent extends ObserverComponent implements OnInit {
    private router;
    private activedRoute;
    private facade;
    private effects;
    userId: string;
    code: string;
    password: string;
    submiting: boolean;
    constructor(router: Router, activedRoute: ActivatedRoute, facade: AuthFacade, effects: AuthEffects);
    ngOnInit(): void;
    onSubmit(request: ResetPasswordRequest): void;
}
