import { Router, CanActivate, CanActivateChild, ActivatedRouteSnapshot } from '@angular/router';
import { Observable } from 'rxjs';
import { AuthFacade } from '../state/auth.facades';
import { AuthService } from '../auth.service';
export declare class AuthGuardService implements CanActivate, CanActivateChild {
    private auth;
    private service;
    private router;
    constructor(auth: AuthFacade, service: AuthService, router: Router);
    canActivate(route: ActivatedRouteSnapshot): Observable<boolean> | boolean;
    canActivateChild(route: ActivatedRouteSnapshot): Observable<boolean> | boolean;
}
