import { Router, CanActivate, CanActivateChild, ActivatedRouteSnapshot } from '@angular/router';
import { Observable } from 'rxjs';
import { AuthFacade } from '../state/auth.facades';
export declare class GuestGuardService implements CanActivate, CanActivateChild {
    auth: AuthFacade;
    router: Router;
    loggedIn$: Observable<boolean>;
    constructor(auth: AuthFacade, router: Router);
    canActivate(route: ActivatedRouteSnapshot): Observable<boolean> | boolean;
    canActivateChild(route: ActivatedRouteSnapshot): Observable<boolean> | boolean;
}
