import { Router, CanActivate, CanActivateChild, ActivatedRouteSnapshot, CanLoad, Route } from '@angular/router';
import { Observable } from 'rxjs';
import { AuthFacade } from '../state/auth.facades';
export declare class HasRoleGuardService implements CanActivate, CanActivateChild, CanLoad {
    private auth;
    private router;
    constructor(auth: AuthFacade, router: Router);
    canActivate(route: ActivatedRouteSnapshot): Observable<boolean> | boolean;
    canActivateChild(route: ActivatedRouteSnapshot): Observable<boolean> | boolean;
    canLoad(route: Route): Observable<boolean> | boolean;
}
