import { HttpEvent, HttpHandler, HttpInterceptor, HttpRequest } from '@angular/common/http';
import { Observable } from 'rxjs';
import { JwtInterceptor } from '@auth0/angular-jwt';
import { AuthState } from '../state/auth.reducer';
import { AuthFacade } from '../state/auth.facades';
export declare class SubsidiaryInterceptor implements HttpInterceptor {
    private authFacade;
    private jwtInterceptor;
    authState$: Observable<AuthState>;
    constructor(authFacade: AuthFacade, jwtInterceptor: JwtInterceptor);
    intercept(request: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>;
}
