import { EnvService } from '../env/env.service';
import { AuthFacade } from './state/auth.facades';
export declare function jwtOptionsFactory(jwtConfig: JwtConfig, authFacade: AuthFacade): {
    tokenGetter: () => Promise<string>;
    whitelistedDomains: string[];
    blacklistedRoutes: (string | RegExp)[];
};
export declare class JwtConfig {
    blacklistedRoutes: (string | RegExp)[];
    whitelistedDomains: string[];
    constructor(envService: EnvService);
}
