import { OnDestroy } from '@angular/core';
import { Observable } from 'rxjs';
import { ObserverComponent } from './observer.component';
import { Pagination } from '../pagination/pagination.model';
export declare abstract class ScrollPagination extends ObserverComponent implements OnDestroy {
    private scrollIndex$;
    changeIndex(index: number): void;
    selectToLoadPage<T>(pagination$: Observable<Pagination>): Observable<T>;
    ngOnDestroy(): void;
}
