export interface PaginationMetadata {
    actual: number;
    pages: number;
    itens: number;
    limitByPage: number;
    lastLoaded?: number;
}
export interface Filters {
}
export interface Pagination {
    filters: Filters;
    metadata: PaginationMetadata | null;
}
export declare class InitialPaginationMetadata implements PaginationMetadata {
    actual: number;
    pages: number;
    itens: number;
    limitByPage: number;
    lastLoaded: number;
}
export interface FetchPaginationDataResponse<T> {
    pagination: Pagination;
    data: T[];
}
