import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { FetchPageDataResponse } from '../response/response.model';
import { UpdateUserRoleRequest, RoleGroup } from './roles.model';
import { Host } from '../api/host';
import { Role } from './roles.model';
export declare class RolesService {
    private http;
    private apiHost;
    constructor(http: HttpClient, apiHost: Host);
    fetchPageData(number: number): Observable<FetchPageDataResponse<Role>>;
    fetchRoleGroupsBySistema(systemName: string): Observable<RoleGroup[]>;
    updateUserRoles(request: UpdateUserRoleRequest[]): Observable<any>;
}
