import { Actions } from '@ngrx/effects';
import { DataPersistence } from '@nrwl/nx';
import { Observable } from 'rxjs';
import { SubsidiariesActions } from './subsidiaries.actions';
import { SubsidiariesService } from '../subsidiaries.service';
import { SubsidiariesState } from './subsidiaries.reducer';
interface AppState {
    subsidiaries: SubsidiariesState;
}
export declare class SubsidiariesEffects {
    private actions$;
    private dataPersistence;
    private service;
    fetchAll$: Observable<any>;
    updateUserSubsidiaries$: Observable<any>;
    constructor(actions$: Actions, dataPersistence: DataPersistence<AppState>, service: SubsidiariesService);
    ofType(...types: string[]): Observable<SubsidiariesActions>;
}
export {};
