import { EntityState } from '@ngrx/entity';
import { SubsidiariesActions } from './subsidiaries.actions';
import { Subsidiary } from '../subsidiaries.model';
export interface SubsidiariesState extends EntityState<Subsidiary> {
}
export declare function selectSubsidiaryId(a: Subsidiary): string;
export declare function subsidiariesReducer(state: SubsidiariesState, action: SubsidiariesActions): SubsidiariesState;
export declare const selectSubsidiariesIds: (state: EntityState<Subsidiary>) => string[] | number[];
export declare const selectSubsidiariesEntities: (state: EntityState<Subsidiary>) => import("@ngrx/entity/src/models").Dictionary<Subsidiary>;
export declare const selectAllSubsidiaries: (state: EntityState<Subsidiary>) => Subsidiary[];
export declare const selectSubsidiary: (id: string) => (state: SubsidiariesState) => Subsidiary;
export declare const hasSubsidiary: (id: string, subsidiaries: Subsidiary[]) => boolean;
export declare const filterSubsidiary: () => void;
export declare const selectSubsidiariesState: import("@ngrx/store/src/selector").MemoizedSelector<object, SubsidiariesState>;
