import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { FetchDataResponse } from '../response/response.model';
import { UpdateUserSubsidiaryRequest } from './subsidiaries.model';
import { Host } from '../api/host';
import { Subsidiary } from './subsidiaries.model';
export declare class SubsidiariesService {
    private http;
    private apiHost;
    constructor(http: HttpClient, apiHost: Host);
    fetchAll(): Observable<FetchDataResponse<Subsidiary>>;
    updateUserSubsidiaries(request: UpdateUserSubsidiaryRequest[]): Observable<any>;
}
