import { Action } from '@ngrx/store';
import { ADUser } from '../users-ad.model';
export declare enum UsersADActionTypes {
    UpdateUserADState = "[Users AD] Update Usuario State",
    FetchUserADData = "[Users AD] Fetch Usuario Data"
}
export declare class UpdateUserADState implements Action {
    payload: ADUser;
    readonly type = UsersADActionTypes.UpdateUserADState;
    constructor(payload: ADUser);
}
export declare class FetchUserADData implements Action {
    payload: string;
    readonly type = UsersADActionTypes.FetchUserADData;
    constructor(payload: string);
}
export declare type UsersADActions = FetchUserADData | UpdateUserADState;
