import { EntityState } from '@ngrx/entity';
import { Pagination } from '../../pagination/pagination.model';
import { UsuariosActions } from './usuarios.actions';
import { Usuario } from '../usuario.model';
export interface UsuariosState extends Pagination, EntityState<Usuario> {
    currentUsuario: string | null;
}
export declare const selectUsuario: (userName: string) => (state: UsuariosState) => Usuario;
export declare function usuariosReducer(state: UsuariosState, action: UsuariosActions): UsuariosState;
export declare const selectUsuariosIds: (state: EntityState<Usuario>) => string[] | number[];
export declare const selectUsuariosEntities: (state: EntityState<Usuario>) => import("@ngrx/entity/src/models").Dictionary<Usuario>;
export declare const selectAllUsuarios: (state: EntityState<Usuario>) => Usuario[];
export declare const getCurrentUsuario: (state: UsuariosState) => Usuario;
export declare const selectUsuariosState: import("@ngrx/store/src/selector").MemoizedSelector<object, UsuariosState>;
