import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { DefaultResponse, FetchPageDataResponse } from '../response/response.model';
import { CreateUsuarioRequestData, Usuario, UpdateUsuarioHostFirewallRequest } from './usuario.model';
import { Host } from '../api/host';
export declare class UsuariosService {
    private http;
    private apiHost;
    constructor(http: HttpClient, apiHost: Host);
    fetchPageData(number: number): Observable<FetchPageDataResponse<Usuario>>;
    createUsuario(data: CreateUsuarioRequestData): Observable<Usuario>;
    toggleAcessUsuario(usuario: Usuario): Observable<Usuario>;
    getUsuario(userName: string): Observable<Usuario>;
    updateUsuarioHostFirewall(request: UpdateUsuarioHostFirewallRequest): Observable<DefaultResponse>;
}
